Bug Hunting Session
Bug 98902 - Right clicking on selected text unselects it if the cursor is on a misspelled word
Summary: Right clicking on selected text unselects it if the cursor is on a misspelled...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.1.3 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2016-03-26 10:05 UTC by jose.velez
Modified: 2019-10-22 16:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jose.velez 2016-03-26 10:05:52 UTC
1) Set on Automatic spell checking using English language.
2) Write this text in a slide:

Skdjaf jksdfh the car is red dskfh skdjfh

3) Select the whole text

- If you right click on the "car" word the behavior is as expected (the context menu is showed).
- If you right click on a misspelled word the text is unselected, and only the misspelled word is selected. You can recover the selection if you right click in any place.

In think that this behavior is confusing. You could think, that it is designed to work in this way, but this behavior is different from the one obtained in writer. In writer the selection never change with a right click.

Perhaps this bug is similar to 62745, but I think that it is not the same, because 62745 doesn't address the select/unselect aspect.
Comment 1 Buovjaga 2016-04-04 17:06:39 UTC
Repro.

64-bit, KDE Plasma 5
Build ID: 5.1.1.3 Arch Linux build-2
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 QA Administrators 2017-10-23 14:03:05 UTC Comment hidden (obsolete)
Comment 3 jose.velez 2018-02-23 10:42:06 UTC
The bug persists in LibreOffice 6.0.
Comment 4 jose.velez 2018-10-20 06:15:51 UTC
Additionally, you can't copy a misspelled word using the contextual menu because the copy option does not appear.
Comment 5 QA Administrators 2019-10-21 02:29:39 UTC
Dear jose.velez,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug